#!/bin/sh
# fichier download-tgz.sh
# modif fevrier 2020 (openblas v0.3.7) + option -nc de wget
#
# telechargement des archives dans network-files/
# 1) openblas
# version courante de openblas
# wget "https://github.com/xianyi/OpenBLAS/tarball/master" -O openblas.tgz

# preferer figer le numero de version (v0.3.7 fev 2020)
# avec -O openblas.tgz pour renommage independant de la version
# option -nc pour eviter les telechargements multiples
# mais alors status de retour =1 si deja present 
# ne plus tester le status de retour de wget => tester sur openblas.tgz
# pose probleme en cas de mise a jour 

open_blas_version=v0.3.7
wget -nc "http://github.com/xianyi/OpenBLAS/archive/${open_blas_version}.tar.gz" -O openblas.tgz
if [ ! -r openblas.tgz ]
then
  echo "Error downloading openblas" >&2
  echo "from http://github.com/xianyi/OpenBLAS/archive/${open_blas_version}.tar.gz">&2
  echo "Check network connexion or permissions" >&2
  exit 2
fi
# 2) lapack95
wget -nc http://www.netlib.org/lapack95/lapack95.tgz 
if [ ! -r lapack95.tgz ]
then
  echo "Error downloading lapack95" >&2
  echo 'from http://www.netlib.org/lapack95/lapack95.tgz' >&2
  exit 2
fi
# 3) blas95
wget -nc http://www.phys.ens.fr/~hare/MP025/blas95.tgz 
if [ ! -r blas95.tgz ]
then
  echo "Error downloading blas95" >&2
  echo 'from http://www.phys.ens.fr/~hare/MP025/blas95.tgz' >&2
  exit 2
fi
echo "download completed successfully" 
exit 0
